Interlaken
API referenceNetworkingLoad balancers

Remove a target from a load balancer

DELETE
/api/v1/load-balancers/{id}/targets

Requires the load_balancers:manage_targets permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/load-balancers/string/targets" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": "2019-08-24T14:15:22Z",  "effective_health_check": {    "property1": {},    "property2": {}  },  "health_check": {    "property1": {},    "property2": {}  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "idle_timeout_sec": 0,  "internal_vip": "string",  "internal_vip_v4": "string",  "internal_vip_v6": "string",  "listener_port": 0,  "max_hosts": 0,  "name": "string",  "new_flows_table_length": 0,  "protocol": "string",  "public_ip": "string",  "public_ip_v4": "string",  "public_ip_v6": "string",  "src_ip_sticky": true,  "status": "string",  "status_reason": "string",  "subnet_ids": [    "942824b1-f36d-4404-96ac-b099828cf934"  ],  "tags": {    "property1": "string",    "property2": "string"  },  "target_addresses": [    "string"  ],  "targets": [    {      "address": "string",      "health_state": "string",      "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",      "nic_id": "ce3d4962-7adb-4068-8685-e44b64356707",      "weight": 0    }  ],  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "tls_cert_id": "90d60385-b447-43d2-9390-e6701d2a3ea0",  "updated_at": "2019-08-24T14:15:22Z",  "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"}